# vader
Vader stands for *Vader: Apple Docker Environment for Rails*.

## Installation

Clone this repository and run `./install.sh`

## Usage

`vader up`

## Troubleshooting

Set `VADER_VERBOSE` to debug.

To debug syncing issues, reinstall with verbose logging enabled.

```
VADER_VERBOSE=1 ./install.sh
```

Then watch the logs with:
```
tail -f ~/Library/Logs/Vader/*.log
```



## Commands

Install vader: `curl get.vader.codes | bash -e`

`vader init` - (TODO) configures current directory for vader

`vader sync` - starts rsync daemon, usually called by startup script

`vader sync-back` - (TODO) called after `rails g`, `bundle`

`vader exec ...`

`vader up`

`vader -v` (TODO)
`vader help`

## Dependencies

- boot2docker (docker, VirtualBox)
- docker-compose
- Pow
